[SailfishDevel] Multimedia does not work on Nexus5 image

Carlos Mazieri carlos.mazieri at gmail.com
Fri Nov 21 18:47:54 UTC 2014


OK, Thanks.

Almost there,

    url:    http://media-ice.musicradio.com/ClassicFMMP3Low
               It does not fail but gets stuck when validating the URL.



    url: http://50.7.66.3:8046/

        [Audio] Error 2 Cannot play stream of type: <unknown>
        [W] QGstreamerPlayerSession::processBusMessage:1202 - Warning:
        "No decoder available for type 'audio/mpeg, mpegversion=(int)1,
        mpegaudioversion=(int)2, layer=(int)3, rate=(int)22050,
        channels=(int)2, parsed=(boolean)true'."
        [Audio] Status changed: 8
        [Audio] Validate mode: true
        [CheckStation] onValidationFinished false
        [Audio] Error 1 Your GStreamer installation is missing a plug-in.
        [W] QGstreamerPlayerSession::processBusMessage:1223 - Error:
        "Your GStreamer installation is missing a plug-in."



Many Thanks,
Carlos


On 21-11-2014 10:22, Michael Neufing wrote:
> Hi,
>
> as stated in the description, you have to enable the openrepos-repo of 
> the user 'sailfish_lib', too.
> In this repo, there is the required package 'gst-plugins-bad-extra' 
> (and others, too) available.
>
> See here:
> https://openrepos.net/users/sailfishlib (user)
> https://openrepos.net/content/sailfishlib/gst-plugins-bad-extra (Package)
>
> I think, when you enable this repo, it should work.
>
> Michael.
>
> Zitat von Carlos Mazieri <carlos.mazieri at gmail.com>:
>
>> Micahel,
>>
>> I tried but it needs another package and then I went to my 
>> authentication problem agaisnt Jolla Stores, see my commands:
>>
>>    root at Jolla nemo]# pkcon install-local ucs-0.1-1.armv7hl.rpm
>>
>>    Installing files
>>    Waiting in queue
>>    Starting
>>    Resolving dependencies
>>    Fatal error: nothing provides gst-plugins-bad-extra needed by
>>    ucs-0.1-1.armv7hl
>>
>>    [root at Jolla nemo]# zypper in gst-plugins-bad-extra
>>
>>    PackageKit is blocking zypper. This happens if you have an updater
>>    applet or other software management application using PackageKit
>>    running.
>>    Tell PackageKit to quit? [yes/no] (no): yes
>>    Authentication required for
>> 'https://store-repository.jolla.com/releases/1.0.8.19/jolla-hw/adaptation-lge-hammerhead/armv7hl/?credentials=store'
>>    User Name: cmazieri
>>    Password:
>>    Authentication required for
>> 'https://store-repository.jolla.com/releases/1.0.8.19/jolla-hw/adaptation-lge-hammerhead/armv7hl/?credentials=store'
>>    User Name: cmazieri^C
>>    OK OK! Exiting immediately...
>>
>>
>> So I could not install the package "gst-plugins-bad-extra" which is 
>> required by "ucs"
>>
>> Many thanks for your help
>>
>> Carlos
>>
>> On 21-11-2014 07:18, Michael Neufing wrote:
>>> Hello Carlos,
>>>
>>> I am the dev of SailWave - so I feel, I should try to help you :-)
>>>
>>> Have you already installed Warehouse on your Nexus? If not, please 
>>> install it, if it does even work on Nexus?!
>>> Then you could try to install additional GStreamer-Codecs from 
>>> xerxes2: https://openrepos.net/content/xerxes2/ultimate-codec-support
>>>
>>> You can also try to launch SailWave from command line and see, what 
>>> it prints to stdout, when you try to play a stream.
>>>
>>> I don't know, if it helps, but I think it is worth a try.
>>>
>>> Michael.
>>>
>>> Zitat von Carlos Mazieri <carlos.mazieri at gmail.com>:
>>>
>>>> Hello,
>>>>
>>>> I am using Sailfish OS on Nexus5.
>>>>
>>>> I am able to install applications after compiling and installing 
>>>> myself "libsailfishapp".
>>>>
>>>> I have not seen any player working, as an example when I run 
>>>> "SailWave" radio player, it says:
>>>>
>>>>     "Your GStreamer installation is missing a plugin"
>>>>
>>>> $ zypper se | grep "qt5-qtmultimedia-plugin", output:
>>>>
>>>>   i | qt5-qtmultimedia-plugin-mediaservice-gstcamerabin   | Qt
>>>>   Multimedia - GStreamer camerabin video capture media
>>>>   service               | package
>>>>   i | qt5-qtmultimedia-plugin-mediaservice-gstmediaplayer | Qt
>>>>   Multimedia - GStreamer playback media
>>>>   service                              | package
>>>>   i | qt5-qtmultimedia-plugin-resourcepolicy-resourceqt   | Qt
>>>>   Multimedia - libresourceqt resource policy
>>>>   plugin                          | package
>>>>
>>>>
>>>> I need at least two informations to fix that:
>>>>
>>>>   1 Which are missing multimedia packages?
>>>>
>>>>   2 I am able to use "zypper" as "nemo" user but "nemo" has no 
>>>> permission to install packages,
>>>>      when using "root" after "devel-su" it looks like failing to 
>>>> authenticate against Jolla store.
>>>>     How can I install missing packages?
>>>>
>>>> Thanks,
>>>> Carlos
>>>
>>>
>>> _______________________________________________
>>> SailfishOS.org Devel mailing list
>>> To unsubscribe, please send a mail to 
>>> devel-unsubscribe at lists.sailfishos.org
>
>
> _______________________________________________
> SailfishOS.org Devel mailing list
> To unsubscribe, please send a mail to 
> devel-unsubscribe at lists.sailfishos.org

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.sailfishos.org/pipermail/devel/attachments/20141121/55ab302f/attachment.html>


More information about the Devel mailing list